package com.aps.entity.Algorithm.IDAndChildID;


import java.util.List;
import java.util.Map;

/**
 * 作者：佟礼
 * 时间：2025-11-29
 */
// 存储分组结果：节点信息列表、新父子映射
// 存储分组结果：节点信息列表、原始ID（String）→全局序号映射
// 存储分组结果：节点信息列表、原始ID→全局序号映射
public class GroupResult {
    private List<NodeInfo> nodeInfoList;
    private Map<String, Integer> originalToGlobalSerial;

    public GroupResult(List<NodeInfo> nodeInfoList, Map<String, Integer> originalToGlobalSerial) {
        this.nodeInfoList = nodeInfoList;
        this.originalToGlobalSerial = originalToGlobalSerial;
    }

    public GroupResult() {

    }
    // getter
    public List<NodeInfo> getNodeInfoList() { return nodeInfoList; }
    public Map<String, Integer> getOriginalToGlobalSerial() { return originalToGlobalSerial; }
}
